/**
 * @file task_dcf.h
 * @brief DCF77 task. Run transmitter.
 */

#ifndef _TASK_DCF_H
#define _TASK_DCF_H


/**
 * @brief Structure containing the information of the driver task.
 */
typedef struct {
    bool		DCF_running;		///< If driver is running.
} DCF_State;



/**
 * @brief Test if transmitter is running.
 * @return Return true if transmitting.
 */
bool ready_DCF(void);


/**
 * @brief Request transmitter state
 */
void request_DCF(bool run);


/**
 * @brief Main task for the dcf77 transmitter.
 * @param pvParameters Parameters for the task.
 */
void task_DCF(void *pvParameters);


#endif
